repo/proj/guru:dev commit in: games-arcade/tetrio-desktop/

"AquaOneLove" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786120224.f07b9c53af3b92da4323cdb8b97bd4ab6a96dc65.aquaonelove@gentoo>
commit:     f07b9c53af3b92da4323cdb8b97bd4ab6a96dc65
Author:     AquaOneLove <aquaonelove <AT> proton <DOT> me>
AuthorDate: Fri Aug  7 16:29:48 2026 +0000
Commit:     AquaOneLove <aquaonelove <AT> proton <DOT> me>
CommitDate: Fri Aug  7 16:30:24 2026 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f07b9c53

games-arcade/tetrio-desktop: update SRC_URI, add tetrio-plus support

Signed-off-by: AquaOneLove <aquaonelove <AT> proton.me>

 games-arcade/tetrio-desktop/Manifest               |  1 +
 .../tetrio-desktop/tetrio-desktop-10.ebuild        | 23 +++++++++++-----------
 2 files changed, 13 insertions(+), 11 deletions(-)

diff --git a/games-arcade/tetrio-desktop/Manifest b/games-arcade/tetrio-desktop/Manifest
index a83f91cd5f..da3d47bd6a 100644
--- a/games-arcade/tetrio-desktop/Manifest
+++ b/games-arcade/tetrio-desktop/Manifest
@@ -1,3 +1,4 @@
 DIST tetrio-desktop-10.deb 81961618 BLAKE2B d835f69d7b8e94aeea2fc70946e58d978d878d01995488800e3647736975acf4d6ebf9b866ac606447aea89097aea1b42637c1bf4b9293745cfe674560228333 SHA512 2073193144e26287f934c34dc00b8d83465aeb3df22d0998bc90f4f17df3d0ed9940ba7532f2697d1461847c9c793c67d4463e5caeedf33a6dda6e693f315e00
 DIST tetrio-desktop-9.deb 74732756 BLAKE2B d225276ec77c23a8b4a792cd7ef866563d29b71adb557566dd6a18be96d4789e3a84f661216feea2a63d235aabb625c489b7177dfd6ccc7993fad90fe58bd8ad SHA512 a8852ea847d12cac46d29a26c7793f4f1911d3336647392cfe16cd955c8e1175fe0ff77764452713c0498f6b1a3044aaf4d131a0ce3b58861be59fd60a8a6e8c
+DIST tetrio-plus-10.zip 14195543 BLAKE2B 7571a7c10ab560f5067bec8e0a122603d0c3065fe2a3fa490c87b3b0d45003f4a66551e3446255178d282a6e8850648fc693d7b686f3cb150fa6790e6bebbd49 SHA512 a9ed1518df7ccb01417b4532afeeb371167479ed6a43143d786af2a1693d05e9907119ca148a25d39903682adc657bd166bea99d5269f0ad9b038038b15f81f5
 DIST tetrio-plus-9.zip 16999939 BLAKE2B 640e6957ee3edd8cdbb905ee6bbd0ff4c4843548b486762a6876a86d764d232a4625143aca9c5a4a0cd122d5f3d23564ffa891a41229a8517037f1427645ca96 SHA512 fdb5cf2f8bea86cea706c625c25b962ac733675fbccacba5003188766eaa4bf0a7c01df52edd99316b4be8b8122bfe95154182a153bf65c584ecf7daca47b966

diff --git a/games-arcade/tetrio-desktop/tetrio-desktop-10.ebuild b/games-arcade/tetrio-desktop/tetrio-desktop-10.ebuild
index 19324248bd..5afc5c6dfe 100644
--- a/games-arcade/tetrio-desktop/tetrio-desktop-10.ebuild
+++ b/games-arcade/tetrio-desktop/tetrio-desktop-10.ebuild
@@ -8,7 +8,8 @@ inherit unpacker desktop xdg
 DESCRIPTION="TETR.IO desktop client."
 HOMEPAGE="https://tetr.io/"
 
-SRC_URI="https://tetr.io/about/desktop/builds/${PV}/TETR.IO%20Setup.deb -> ${P}.deb"
+SRC_URI="https://tetr.io/about/desktop/builds/${PV}/TETR.IO%20Setup.deb -> ${P}.deb
+tetrio-plus?	( https://gitlab.com/UniQMG/tetrio-plus/-/jobs/13795436076/artifacts/raw/tetrio-plus_v0.28.0_for_desktop_v10.asar.zip -> tetrio-plus-${PV}.zip )"
 
 S="${WORKDIR}"
 
@@ -57,9 +58,9 @@ src_unpack() {
 	unpack_deb "${P}.deb"
 
 	# No TETR.IO PLUS for v10 yet
-	#if use tetrio-plus; then
-	#	unpack "tetrio-plus-${PV}.zip"
-	#fi
+	if use tetrio-plus; then
+		unpack "tetrio-plus-${PV}.zip"
+	fi
 }
 
 src_prepare() {
@@ -68,13 +69,13 @@ src_prepare() {
 
 	default
 
-	if use tetrio-plus; then
-		ewarn "TETR.IO PLUS is not supported yet for v10"
-	fi
+	# if use tetrio-plus; then
+	# 	ewarn "TETR.IO PLUS is not supported yet for v10"
+	# fi
 
-	#if use tetrio-plus;	then
-	#	mv "${S}/app.asar" "${S}/opt/TETR.IO/resources/app.asar" || die
-	#fi
+	if use tetrio-plus;	then
+		mv "${S}/app.asar" "${S}/opt/TETR.IO/resources/app.asar" || die
+	fi
 
 	mv "${S}/opt/TETR.IO" "${S}/opt/${PN}" || die
 }
@@ -84,7 +85,7 @@ src_install() {
 	DESTDIR="/opt/${PN}"
 
 	doicon -s 256 "${ICONDIR}/256x256/apps/TETR.IO.png"
-	doicon -s 512 "${ICONDIR}/512x512/apps/TETR.IO.png"
+	# doicon -s 512 "${ICONDIR}/512x512/apps/TETR.IO.png"
 
 	domenu "usr/share/applications/tetrio-desktop.desktop"
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.